# Copyright (c) 2008-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix /usr

Summary:		This package contains most effects from EffecTV for gmerlin
Name:			gmerlin-effectv
Version:		1.1.3
Release:		1.2
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			%{name}-%{version}.tar.gz
URL:			http://gmerlin.sourceforge.net/
BuildRequires:	libgmerlin-devel >= 0.4.2 libcdio-devel
BuildRequires:	pkgconfig >= 0.9
BuildRoot:		%{_tmppath}/%{name}-%{version}-build

%description
This package contains most effects from EffecTV ported to gmerlin
(see http://effectc.sourceforge.net)

Missing Effects are mostly the ones, which do things, which cannot
be done within a generic filter API.



%prep
%setup -q -n %{name}-%{version}
# get rid of nasty warning
%__sed -i -e 's|./make_potfiles|#./make_potfiles|g' \
	autogen.sh
./autogen.sh
%{?suse_update_config:%{suse_update_config -f}}

%build
%suse_update_libdir configure
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%find_lang %{name}

%__rm -f %{buildroot}%{_libdir}/gmerlin/plugins/*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/gmerlin
%dir %{_libdir}/gmerlin/plugins
%{_libdir}/gmerlin/plugins/*.so

%changelog
* Thu Mar 10 2011 detlef@links2linux.de
- update to 1.1.3
* Thu Feb 25 2010 toni@links2linux.de
- update to 1.1.2
* Mon Oct 19 2009 toni@links2linux.de
- update to 1.1.1
* Wed Dec 17 2008 toni@links2linux.de
- update to 1.1.0
* Fri Jul 25 2008 toni@links2linux.de
- initial version 1.0.0
